package io.zipcoder.crudapp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class PersonController {

    @Autowired
    PersonService serv;

    public PersonController() {
    }

    @PostMapping("/people/{firstName}/{lastName}")
    public Person createPerson(@PathVariable String firstName, @PathVariable String lastName){
        Person person = new Person(firstName, lastName);
        serv.save(person);
        return serv.getOne(person.getId());
    }

    @GetMapping("/people/{id}")
    public Person getPerson(@PathVariable int id){
        return serv.getOne(id);
    }

    @GetMapping("/people")
    public List<Person> getPersonList(){
        return serv.findAll();
    }

    @PutMapping("/people/{id}/{firstName}/{lastName}")
    public Person updatePerson(@RequestBody Person p){
        return serv.save(p);
    }

    @DeleteMapping("/people/{id}")
    public void DeletePerson(@PathVariable int id){
        serv.delete(id);
    }

}
