package io.zipcoder.crudapp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class PersonService {

    @Autowired
    PersonRepo repo;

    public List<Person> findAll(){
        List<Person> people = new ArrayList<>();
        repo.findAll().forEach(people::add);
        return people;
    }

    public Person getOne(int id) {
        return repo.findOne(id);
    }

    public Person save(Person p) {
        repo.save(p);
        return getOne(p.getId());
    }

    public void delete(int id){
        repo.delete(id);
    }
}
